Skip to main content
GET
/
api
/
v3
/
admin
/
orders
/
{order_id}
/
fulfillments
Spree Admin SDK
import { createAdminClient } from '@spree/admin-sdk'

const client = createAdminClient({
  baseUrl: 'https://your-store.com',
  secretKey: 'sk_xxx',
})

const { data: fulfillments } = await client.orders.fulfillments.list('or_UkLWZg9DAJ')
{
  "data": [
    {
      "id": "ful_UkLWZg9DAJ",
      "number": "H55703158790",
      "tracking": "U10000",
      "tracking_url": null,
      "cost": "10.0",
      "display_cost": "$10.00",
      "total": "10.0",
      "display_total": "$10.00",
      "discount_total": "0.0",
      "display_discount_total": "$0.00",
      "additional_tax_total": "0.0",
      "display_additional_tax_total": "$0.00",
      "included_tax_total": "0.0",
      "display_included_tax_total": "$0.00",
      "tax_total": "0.0",
      "display_tax_total": "$0.00",
      "status": "ready",
      "fulfillment_type": "shipping",
      "fulfilled_at": null,
      "items": [
        {
          "item_id": "li_UkLWZg9DAJ",
          "variant_id": "variant_UkLWZg9DAJ",
          "quantity": 1
        }
      ],
      "metadata": {},
      "adjustment_total": "0.0",
      "pre_tax_amount": "0.0",
      "created_at": "2026-05-21T18:11:06.921Z",
      "updated_at": "2026-05-21T18:11:07.008Z",
      "order_id": "or_UkLWZg9DAJ",
      "stock_location_id": "sloc_UkLWZg9DAJ"
    }
  ],
  "meta": {
    "page": 1,
    "limit": 25,
    "count": 1,
    "pages": 1,
    "from": 1,
    "to": 1,
    "in": 1,
    "previous": null,
    "next": null
  }
}

Documentation Index

Fetch the complete documentation index at: https://spreecommerce.org/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-spree-api-key
string
header
required

Secret API key for admin access

Authorization
string
header
required

JWT token for admin user authentication

Headers

x-spree-api-key
string
required
Authorization
string
required

Bearer token for admin authentication

Path Parameters

order_id
string
required

Order ID

Query Parameters

expand
string

Comma-separated associations to expand (e.g., inventory_units, stock_location, shipping_rates). Use dot notation for nested expand (max 4 levels).

fields
string

Comma-separated list of fields to include (e.g., number,status,tracking,cost). id is always included.

Response

200 - application/json

fulfillments found